Subject: Re: [net-next-2.6 PATCH 1/7] xfrm: introduce basic mark infrastructure

From: Patrick McHardy <[email-masked]>
Date: Mon, 15 Feb 2010 18:06:17 +0100

jamal wrote:
> On Mon, 2010-02-15 at 16:42 +0100, Patrick McHardy wrote:
> 
> 
>> This doesn't look right. A mark value of 0 with a mask of ~0 won't
>> be properly dumped. I think this should check for (m->m | m->v).
>>
> 
> Good point, thanks. I will make that change;
> 
> Rest of patches look reasonable?

I couldn't spot any further problems so far.

One related feature which would be nice to have is the ability
to use marks for xfrm tunnel routing. But I'm not sure we can
do this in a backwards compatible way.